Skip to content

Find orders

GET
/order-management/order/orders
Required scope: viskan:order:read

Finds customer orders.

Parameters

Query parameters

page  integer
The page to search for.
Default value: 1
resultsPerPage  integer
The number of results per page.
searchId  string
The search ID to use for continued pages. Not usable together with any of the filters except page. Read more about this here.
countryCode  string
Multivalued
Filter on delivery country of order (ISO 3166-1 alpha-2 standard format).
customFieldValue  string
Multivalued
An optional filter on one/many custom field values.
includeCanceledRows  boolean
An optional filter on whether or not to include canceled order rows.
Default value: false
methodOfArrival  string
Multivalued
An optional filter on one or many arrival methods.
modifiedAfter  string
Format: offset-date-time
Filter on last modification date. Useful for getting delta-changes.
orderId  integer
Multivalued
An optional filter on one or many order identifiers.
orderNumber  string
Multivalued
An optional filter on one or many order numbers.
purchaseNumber  string
An optional filter on a single purchase number.
processChain  string
Filter on current order process chain. Used together with processStatus. The use of this filter is contingent upon the approval of Viskan.
processStatus  string
Multivalued
Filter on current order process status. Used together with processChain. The use of this filter is contingent upon the approval of Viskan.
status  enum
Multivalued
Filter on current order status.
Enum: PLACEDDELIVERY_CREATEDPART_DELIVEREDFULLY_DELIVEREDCANCELED

Response

The response contains the found orders.